import { createApp } from 'vue';
import App from './App.vue';
import router from './router';
import store from './store';
import 'font-awesome/css/font-awesome.min.css';

// 引入 element-ui
import ElementPlus from 'element-plus';
import 'element-plus/lib/theme-chalk/index.css';

// 引入环境配置
import "@modeConfig/modeConfig.js";

import "@/lib/global-import.js";

// 引入请求工具
import axios from "@api/axios";

// 引入基础工具
import basicTool from "@tools/basicTool";

window.__STATICVUE__ = createApp(App);
window.__STATICVUE__.use(ElementPlus);
window.__STATICVUE__.use(store);
window.__STATICVUE__.use(router);

window.__STATICVUE__.config.globalProperties.API = axios; //全局注册
window.__STATICVUE__.config.globalProperties.BASE = basicTool; //全局注册

window.__STATICVUE__.mount('#app');